Comment 4 for bug 1718885

This also affects us. It started on Sep 22 on part of our test servers as soon as chromium-browser upgraded to 61 from 60. What I have found so far:

Chromium 60 uses libraries from its folder:

---------------------
ubuntu@test4:~$ sudo apt-cache policy chromium-browser
chromium-browser:
  Installed: 60.0.3112.113-0ubuntu0.16.04.1298
  Candidate: 61.0.3163.79-0ubuntu0.16.04.1300
  Version table:
     61.0.3163.79-0ubuntu0.16.04.1300 500
        500 http://mirror.hetzner.de/ubuntu/packages xenial-updates/universe amd64 Packages
        500 http://mirror.hetzner.de/ubuntu/security xenial-security/universe amd64 Packages
        500 http://de.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages
 *** 60.0.3112.113-0ubuntu0.16.04.1298 100
        100 /var/lib/dpkg/status
     49.0.2623.108-0ubuntu1.1233 500
        500 http://mirror.hetzner.de/ubuntu/packages xenial/universe amd64 Packages
        500 http://de.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
-----------------------
ubuntu@test4:~$ ldd /usr/lib/chromium-browser/chromium-browser
        linux-vdso.so.1 => (0x00007ffd2a9cd000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f3431380000)
        libembedder.so => /usr/lib/chromium-browser/./libembedder.so (0x00007f343113c000)
        libbindings.so => /usr/lib/chromium-browser/./libbindings.so (0x00007f3430f0b000)
        libbase.so => /usr/lib/chromium-browser/./libbase.so (0x00007f3430b45000)
        libmojo_public_system_cpp.so => /usr/lib/chromium-browser/./libmojo_public_system_cpp.so (0x00007f343093b000)
        libmojo_public_system.so => /usr/lib/chromium-browser/./libmojo_public_system.so (0x00007f3430737000)
        libnet.so => /usr/lib/chromium-browser/./libnet.so (0x00007f342ff02000)
        libprotobuf_lite.so => /usr/lib/chromium-browser/./libprotobuf_lite.so (0x00007f342fcc8000)
        libcrcrypto.so => /usr/lib/chromium-browser/./libcrcrypto.so (0x00007f342fab2000)
        libboringssl.so => /usr/lib/chromium-browser/./libboringssl.so (0x00007f342f72f000)
        liburl.so => /usr/lib/chromium-browser/./liburl.so (0x00007f342f50a000)
        libbase_i18n.so => /usr/lib/chromium-browser/./libbase_i18n.so (0x00007f342f2b1000)
        libicui18n.so => /usr/lib/chromium-browser/./libicui18n.so (0x00007f342ee72000)
        libicuuc.so => /usr/lib/chromium-browser/./libicuuc.so (0x00007f342eae2000)
        libipc.so => /usr/lib/chromium-browser/./libipc.so (0x00007f342e8ae000)
        libgeometry.so => /usr/lib/chromium-browser/./libgeometry.so (0x00007f342e6a0000)
        libgfx.so => /usr/lib/chromium-browser/./libgfx.so (0x00007f342e39d000)
        libcolor_space.so => /usr/lib/chromium-browser/./libcolor_space.so (0x00007f342e190000)
---------------------------------
ubuntu@test4:~$ ldd /usr/lib/chromium-browser/chromium-browser | grep ffmpe
        libffmpeg.so => /usr/lib/chromium-browser/./libffmpeg.so (0x00007f92a0f09000)

====================================================

But Chromium 61 uses all libraries from system location:

----------------------------------------------------
ubuntu@Ubuntu-1604-xenial-64-minimal:/usr/lib/chromium-browser$ apt-cache policy chromium-browser
chromium-browser:
  Installed: 61.0.3163.79-0ubuntu0.16.04.1300
  Candidate: 61.0.3163.79-0ubuntu0.16.04.1300
  Version table:
 *** 61.0.3163.79-0ubuntu0.16.04.1300 500
        500 http://mirror.hetzner.de/ubuntu/packages xenial-updates/universe amd64 Packages
        500 http://mirror.hetzner.de/ubuntu/security xenial-security/universe amd64 Packages
        500 http://de.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages
        500 http://ppa.launchpad.net/canonical-chromium-builds/stage/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status
     49.0.2623.108-0ubuntu1.1233 500
        500 http://mirror.hetzner.de/ubuntu/packages xenial/universe amd64 Packages
        500 http://de.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
--------------------------------------------------
ubuntu@Ubuntu-1604-xenial-64-minimal:~$ ldd /usr/lib/chromium-browser/chromium-browser
        linux-vdso.so.1 => (0x00007ffc7258b000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fc7aefff000)
        libffmpeg.so => not found
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fc7aec34000)
        /lib64/ld-linux-x86-64.so.2 (0x00005569fd2e6000)
        libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fc7ae92b000)
        libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fc7ae715000)
        libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fc7ae510000)
        libpangocairo-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0 (0x00007fc7ae303000)
        libpango-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0 (0x00007fc7ae0b7000)
        libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007fc7ade63000)
        libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007fc7adb52000)
        libcairo.so.2 => /usr/lib/x86_64-linux-gnu/libcairo.so.2 (0x00007fc7ad83e000)
        libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007fc7ad503000)
        libX11-xcb.so.1 => /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007fc7ad301000)
        libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007fc7ad0df000)
        libXcomposite.so.1 => /usr/lib/x86_64-linux-gnu/libXcomposite.so.1 (0x00007fc7acedb000)
        libXcursor.so.1 => /usr/lib/x86_64-linux-gnu/libXcursor.so.1 (0x00007fc7accd1000)
        libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007fc7acace000)
------------------------------------
ubuntu@Ubuntu-1604-xenial-64-minimal:~$ ldd /usr/lib/chromium-browser/chromium-browser | grep ffmpe
        libffmpeg.so => not found
=============================================

But there is still such file in chromium folder:

-----------------------------------------------
ubuntu@Ubuntu-1604-xenial-64-minimal:~$ ls -la /usr/lib/chromium-browser/./libffmpeg.so
-rw-r--r-- 1 root root 3013432 Sep 12 13:45 /usr/lib/chromium-browser/./libffmpeg.so
-----------------------------------------------

And when I copy this file to system location, everything works, so it is not the wrong version of libffmpeg.so:

-----------------------------------------------
ubuntu@Ubuntu-1604-xenial-64-minimal:~$ sudo cp /usr/lib/chromium-browser/./libffmpeg.so /lib/x86_64-linux-gnu/
ubuntu@Ubuntu-1604-xenial-64-minimal:~$ ldd /usr/lib/chromium-browser/chromium-browser | grep ffmpe
        libffmpeg.so => /lib/x86_64-linux-gnu/libffmpeg.so (0x00007f123ac13000)
-----------------------------------------------

My bet is that something is broken with LD_LIBRARY_PATH or something like that.